require 'cocoapods'
require 'cocoapods/config'
require 'tycli/config'

module Tuya
	require 'singleton'
	class System
		include Pod::Config::Mixin
		include Singleton
		def self.lint
			p "current ruby version: #{RUBY_VERSION}-p#{RUBY_PATCHLEVEL}"

			require 'cocoapods'
			p Pod::VERSION
		end

		attr_accessor :user
		attr_accessor :pod_config
		attr_accessor :group

		def initialize
			@user = `id -un`.strip
			@pod_config = config

			@group = Tuya::Config.local_config @user
		end
	end
end
